Generate Customer Document URL
curl --request PUT \
--url https://api.sandbox.sudo.cards/customers/{id}/documents/url \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fileName": "<string>",
"fileType": "<string>"
}
'import requests
url = "https://api.sandbox.sudo.cards/customers/{id}/documents/url"
payload = {
"fileName": "<string>",
"fileType": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({fileName: '<string>', fileType: '<string>'})
};
fetch('https://api.sandbox.sudo.cards/customers/{id}/documents/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Document upload url generated successfully.",
"data": {
"url": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/id-front.png?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIA...%2F20240906%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240906T123456Z&X-Amz-Expires=900&X-Amz-SignedHeaders=host&X-Amz-Signature=4f8c1234567890abcdef",
"key": "customers/64a1b2c3d4e5f6a7b8c9d0e1/id-front.png"
}
}{
"statusCode": 400,
"message": "\"fileType\" is required",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Customer not found.",
"data": null
}Customers
Generate Customer Document URL
Generate a document upload URL for a specific customer KYC.
PUT
/
customers
/
{id}
/
documents
/
url
Generate Customer Document URL
Authorizations
Path Parameters
The _id of the customer you wish to upload documents for.
Body
application/json
⌘I
